{% extends "default.html" %}
{% load static %}
{% load django_bootstrap5 %}

{% block content %}
<ol class="breadcrumb add-top-margin">
    <li class="breadcrumb-item">
        <a href="{% url 'panels:index' %}">Panels</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ panel.get_absolute_url }}">
            {{ panel.level4title.name }}
        </a>
    </li>
    <li class="breadcrumb-item active">
        Add STR
    </li>
</ol>

<h1>
    {% block title %}Add STR to panel{% endblock %}
</h1>

{% if request.user.is_authenticated and request.user.reviewer.is_verified %}
    <form class="row add-top-margin remove-empty-array-val" method="post">
        {% csrf_token %}
        <div class="col-md-8">
            <div class="card card-body bg-light add-bottom-margin">
                <fieldset>
                    {% for field in form %}
                        <div class="form-group">
                            {% if field.name == "mode_of_pathogenicity" %}
                                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" data-bs-target="#model_of_path" data-testid="add-show-info-mop" ><i class="fa fa-question-circle text-primary"></i></a>
                            {% elif field.name == "rating" %}
                                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" data-bs-target="#rating_help" data-testid="add-show-info-rating" ><i class="fa fa-question-circle text-primary"></i></a>
                            {% elif field.name == "moi" %}
                                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" data-bs-target="#moi" data-testid="add-show-info-moi" ><i class="fa fa-question-circle text-primary"></i></a>
                            {% elif field.name == "rating" %}
                                <hr />
                                <h4 class="add-label-margin">Review STR</h4>
                                <p class="text-muted">You can optionally include a review of this STR when you add it.</p>
                                {% bootstrap_label field.label_tag %}
                            {% elif field.name == "current_diagnostic" %}
                                {% bootstrap_label field.label_tag %} <a data-bs-toggle="modal" data-bs-target="#diagostic" data-testid="add-show-info-current-diagnostic" ><i class="fa fa-question-circle text-primary"></i></a>
                            {% else %}
                                {% bootstrap_label field.label_tag %}
                            {% endif %}

                            {% if field.help_text %}
                                <div class="text-muted">{{ field.help_text }}</div>
                            {% endif %}

                            {% bootstrap_field field show_label=False show_help=False %}
                        </div>
                    {% endfor %}
                    <button type="submit" class="btn btn-primary">Add STR</button>
                </fieldset>
            </div>
        </div>
    </form>
    {{ form.media }}
    {% block modals %}
        {% include "panels/modals/rating.html" %}
        {% include "panels/modals/mode_of_path.html" %}
        {% include "panels/modals/diagnostic.html" %}
        {% include "panels/modals/mode_of_inheritance.html" %}
    {% endblock %}
{% endif %}
{% endblock %}
